### Function

# Ggit OId new_from_string

#### Declaration [src]

    GgitOId*
    ggit_oid_new_from_string (
      const gchar* str
    )

#### Description [src]

Parses a hex formatted object id into a `GgitOId`.

#### Parameters

`str`

  Type: `const gchar*`

  Input hex string; must be pointing at the start of the hex sequence and have at least the number of bytes needed for an oid encoded in hex (40 bytes).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GgitOId`

A newly allocated `GgitOId` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.